Retrieve a Sentry App's Select Field Options

ExperimentalThis API is under active development and may change.
GET /api/0/sentry-app-installations/{uuid}/external-requests/

Request select options from the installed app. Each choice contains its value followed by its label.

Path Parameters

uuid (string)
REQUIRED

The UUID of the Sentry App installation.

Query Parameters:

uri (string)
REQUIRED

The relative URI of the select field's options callback.

projectId (integer)

The Sentry project ID to include in the options request.

query (string)

The search text for select options.

dependentData (string)

A JSON-encoded object containing the values of fields this select depends on.

Scopes

<auth_token> requires one of the following scopes:
  • org:admin
  • org:integrations
  • org:read
  • org:write
Copied
curl https://sentry.io/api/0/sentry-app-installations/{uuid}/external-requests/ \
 -H 'Authorization: Bearer <auth_token>'
RESPONSESCHEMA
Copied
.
Was this helpful?